<template>
  <mt-modal :ouvert="ouvert" :class-modal="classModal" :full-screen="fullScreen" @close="close">
    <section class="mt-modal-align-center">
      <h2 v-if="titre != null && titre !== ''" class="mt-modal-titre" :class="alignTitle">
        {{ titre }}
      </h2>
      <p class="mt-modal-message" :class="classModifier">
        <slot></slot>
      </p>
      <slot name="buttons">
        <b-button
          class="mt-button is-size-8 has-text-weight-semibold"
          type="is-primary"
          native-type="button"
          :class="classButton"
          @click="validationAction"
        >
          {{ button }}
        </b-button>
      </slot>
    </section>
  </mt-modal>
</template>

<script>
import MtModal from '~/components/modal/mt-modal';

export default {
  name: 'MtModalOk',
  components: {
    MtModal,
  },
  props: {
    messageExpanded: Boolean,
    titre: {
      type: String,
      default: '',
    },
    titlePosition: {
      validator(value) {
        return ['left', 'center', 'right'].includes(value);
      },
      default: 'center',
      required: false,
    },
    ouvert: {
      type: Boolean,
      default: false,
      required: true,
    },
    button: {
      type: String,
      default: 'ok',
    },
    classButton: {
      type: String,
      default: 'mt-button-large',
    },
    classModal: {
      type: String,
      default: '',
    },
    fullScreen: {
      type: Boolean,
      default: false,
    },
  },
  computed: {
    classModifier() {
      if (this.messageExpanded) {
        return 'align-self-strech';
      }
      return '';
    },
    alignTitle() {
      if (this.titlePosition === 'left' || this.titlePosition === 'right') {
        return `mt-modal-titre-${this.titlePosition}`;
      }
      return '';
    },
  },
  methods: {
    close() {
      this.$emit('update:ouvert', false);
    },
    validationAction() {
      this.$emit('action');
      this.close();
    },
  },
};
</script>

<style scoped lang="scss"></style>
